VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmClient 
   Caption         =   "Visual Basic ActiveX ROB Mortgage Sample Client"
   ClientHeight    =   3585
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   7470
   LinkTopic       =   "Form1"
   ScaleHeight     =   3585
   ScaleWidth      =   7470
   StartUpPosition =   2  'CenterScreen
   Begin MSFlexGridLib.MSFlexGrid tblGrid 
      Height          =   3375
      Left            =   3360
      TabIndex        =   6
      Top             =   120
      Width           =   3975
      _ExtentX        =   7011
      _ExtentY        =   5953
      _Version        =   393216
      Rows            =   1
      Cols            =   4
      BackColorBkg    =   16777215
      AllowUserResizing=   1
      FormatString    =   "#     |>Principal        |>Interest      |>Balance             "
   End
   Begin VB.CommandButton pbShowAmortizationTable 
      Caption         =   "Show Amortization Table"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   2040
      Width           =   3135
   End
   Begin VB.CommandButton pbCalcMonthlyPayment 
      Caption         =   "Calculate Monthly Payment"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   1560
      Width           =   3135
   End
   Begin VB.TextBox dfYears 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   285
      Left            =   1800
      TabIndex        =   3
      Text            =   "0"
      Top             =   840
      Width           =   735
   End
   Begin VB.TextBox dfInterest 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0.00%"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   5
      EndProperty
      Height          =   285
      Left            =   1800
      TabIndex        =   2
      Text            =   "0"
      Top             =   480
      Width           =   735
   End
   Begin VB.TextBox dfPrincipal 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   """$""#,##0.00"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   2
      EndProperty
      Height          =   285
      Left            =   1800
      TabIndex        =   1
      Text            =   "0"
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label dfMonthlyPayment 
      Alignment       =   2  'Center
      Caption         =   "$0.00"
      BeginProperty DataFormat 
         Type            =   1
         Format          =   """$""#,##0.00"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   2
      EndProperty
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   14.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   495
      Left            =   120
      TabIndex        =   10
      Top             =   3000
      Width           =   3135
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "Your Monthly payment is:"
      Height          =   255
      Left            =   0
      TabIndex        =   9
      Top             =   2640
      Width           =   3135
   End
   Begin VB.Label Label3 
      Caption         =   "Years:"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   840
      Width           =   1575
   End
   Begin VB.Label Label2 
      Caption         =   "Interest %:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   480
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Principal $:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1455
   End
   Begin VB.Menu File 
      Caption         =   "&File"
      Begin VB.Menu Exit 
         Caption         =   "Exit"
      End
   End
End
Attribute VB_Name = "frmClient"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Calc As Calculator

Private Sub Exit_Click()

    End

End Sub

Private Sub Form_Load()
    
    Set Calc = New Calculator

End Sub

Private Sub Form_Resize()
    
    tblGrid.Width = Me.Width - tblGrid.Left - 250
    tblGrid.Height = Me.Height - tblGrid.Top - 800

End Sub

Private Sub Form_Unload(Cancel As Integer)

    Set Calc = Nothing
    End

End Sub

Private Sub pbCalcMonthlyPayment_Click()

    Calc.InterestRate = dfInterestRate
    Calc.Principal = dfPrincipal
    Calc.Years = dfYears
        
    dfMonthlyPayment = Format(Calc.GetMonthlyPayment, "$#,##0.00")
 
End Sub

Private Sub pbShowAmortizationTable_Click()

    ' show the monthly payment
    Call pbCalcMonthlyPayment_Click
    
    ShowAmortizationTable (Calc.GetAmortizationTable)
  
End Sub

Private Sub ShowAmortizationTable(sTable As String)

    ' reset the grid
    tblGrid.Rows = 1
    
    ' Paste the table into the grid
    If Not IsNull(sTable) Then
        tblGrid.Rows = dfYears * 12 + 1
        tblGrid.Row = 1
        tblGrid.Col = 0
        tblGrid.RowSel = tblGrid.Rows - 1
        tblGrid.ColSel = 3
        tblGrid.Clip = sTable
        tblGrid.RowSel = 1
        tblGrid.ColSel = 1
    End If
    
End Sub
