Application Description: * Pivato Consulting, inc.
		* XSal - eXtended Sal
		*
		* File name     : XSalRob_Classlib32.apl
		* Description	: XSalRemoteObject class library
		* Author	: Gianluca Pivato
	Outline Version - 4.0.26
	Design-time Settings
.data VIEWINFO
0000: 6F00000001000000 FFFF01000D004347 5458566965775374 6174650400010000
0020: 0000000000990000 002C000000020000 0003000000FFFFFF FFFFFFFFFFFCFFFF
0040: FFE9FFFFFFFFFFFF FF000000007C0200 004D010000010000 0000000000010000
0060: 000F4170706C6963 6174696F6E497465 6D00000000
.enddata
		Outline Window State: Normal
		Outline Window Location and Size
.data VIEWINFO
0000: 6600040003002D00 0000000000000000 0000B71E5D0E0500 1D00FFFF4D61696E
0020: 0000000000000000 0000000000000000 0000003B00010000 00000000000000E9
0040: 1E800A00008600FF FF496E7465726E61 6C2046756E637469 6F6E730000000000
0060: 0000000000000000 0000000000003200 0100000000000000 0000E91E800A0000
0080: DF00FFFF56617269 61626C6573000000 0000000000000000 0000000000000000
00A0: 3000010000000000 00000000F51E100D 0000F400FFFF436C 6173736573000000
00C0: 0000000000000000 0000000000000000
.enddata
.data VIEWSIZE
0000: D000
.enddata
			Left:   -0.013"
			Top:    0.0"
			Width:  8.013"
			Height: 4.969"
		Options Box Location
.data VIEWINFO
0000: 0418B80BB80B2500
.enddata
.data VIEWSIZE
0000: 0800
.enddata
			Visible? Yes
			Left:   4.15"
			Top:    1.885"
			Width:  3.8"
			Height: 2.073"
		Class Editor Location
			Visible? No
			Left:   0.575"
			Top:    0.094"
			Width:  5.063"
			Height: 2.719"
		Tool Palette Location
			Visible? No
			Left:   6.388"
			Top:    0.729"
		Fully Qualified External References? Yes
		Reject Multiple Window Instances? No
		Enable Runtime Checks Of External References? Yes
		Use Release 4.0 Scope Rules? No
	Libraries
		File Include: XSalRbc_32.apl
	Global Declarations
		Window Defaults
			Tool Bar
				Display Style? Etched
				Font Name: MS Sans Serif
				Font Size: 8
				Font Enhancement: System Default
				Text Color: System Default
				Background Color: System Default
			Form Window
				Display Style? Etched
				Font Name: MS Sans Serif
				Font Size: 8
				Font Enhancement: System Default
				Text Color: System Default
				Background Color: System Default
			Dialog Box
				Display Style? Etched
				Font Name: System Default
				Font Size: System Default
				Font Enhancement: System Default
				Text Color: System Default
				Background Color: System Default
			Top Level Table Window
				Font Name: MS Sans Serif
				Font Size: 8
				Font Enhancement: System Default
				Text Color: System Default
				Background Color: System Default
			Data Field
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Multiline Field
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Spin Field
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Background Text
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Pushbutton
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
			Radio Button
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Check Box
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Option Button
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
			Group Box
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Child Table Window
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			List Box
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Combo Box
				Font Name: Use Parent
				Font Size: Use Parent
				Font Enhancement: Use Parent
				Text Color: Use Parent
				Background Color: Use Parent
			Line
				Line Color: Use Parent
			Frame
				Border Color: Use Parent
				Background Color: 3D Face Color
			Picture
				Border Color: Use Parent
				Background Color: Use Parent
		Formats
			Number: 0'%'
			Number: #0
			Number: ###000
			Number: ###000;'($'###000')'
			Date/Time: hh:mm:ss AMPM
			Date/Time: M/d/yy
			Date/Time: MM-dd-yy
			Date/Time: dd-MMM-yyyy
			Date/Time: MMM d, yyyy
			Date/Time: MMM d, yyyy hh:mm AMPM
			Date/Time: MMMM d, yyyy hh:mm AMPM
		External Functions
		Constants
.data CCDATA
0000: 3000000000000000 0000000000000000 00000000
.enddata
.data CCSIZE
0000: 1400
.enddata
			System
			User
		Resources
		Variables
		Internal Functions
		Named Menus
		Class Definitions
			! *** ROB Client Classes
			Functional Class: cXSalROBClient
				Description:
				Derived From
				Class Variables
				Instance Variables
					! Public members
					String: m_sServer
					Number: m_nPort
					Number: m_nTimeout
					! Private members
					Window Handle: __hConn
					Number: __nConnectionsCount
				Functions
					! Public functions
					Function: connect
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sServer
							Number: p_nPort
							Number: p_nTimeout
						Static Variables
						Local variables
							Number: nCount
						Actions
							! Connect only if it's not already connected
							If NOT isConnected()
								Set m_sServer = p_sServer
								Set m_nPort = p_nPort
								Set m_nTimeout = p_nTimeout
								If NOT p_sServer OR NOT p_nPort OR NOT p_nTimeout
									Return FALSE
								Loop
									Call SalWaitCursor( TRUE )
									Set __hConn = XSalRobConnect( m_sServer, m_nPort, m_nTimeout )
									Call SalWaitCursor( FALSE )
									If __hConn
										Break
									If ..onError( getError(), nCount ) != IDRETRY
										Break
									Set nCount = nCount + 1
							! Increase connection counter
							If isConnected()
								Set __nConnectionsCount = __nConnectionsCount + 1
								Return TRUE
					Function: disconnect
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
						Actions
							If __nConnectionsCount > 0
								Set __nConnectionsCount = __nConnectionsCount - 1
								If __nConnectionsCount = 0
									Return XSalRobDisconnect( __hConn )
					Function: isConnected
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
						Actions
							Return ( __hConn != hWndNULL )
					Function: setTimeout
						Description:
						Returns
							Boolean:
						Parameters
							Number: p_nTimeout
						Static Variables
						Local variables
						Actions
							Set m_nTimeout = p_nTimeout
							Return XSalRobSetClientTimeout( __hConn, m_nTimeout )
					Function: getConnectionHandle
						Description:
						Returns
							Window Handle:
						Parameters
						Static Variables
						Local variables
						Actions
							Return __hConn
					Function: getError
						Description:
						Returns
							Number:
						Parameters
						Static Variables
						Local variables
						Actions
							Return XSalRobGetLastError(  )
					! Virtual functions
					Function: onError
						Description:
						Returns
							Number: action
						Parameters
							Number: p_nError
							Number: p_nCount
						Static Variables
						Local variables
							String: sError
							Number: nType
						Actions
							Select Case p_nError
								Case WSAETIMEDOUT
									Set sError = "The server is not responding."
									Set nType = MB_IconAsterisk | MB_AbortRetryIgnore
									Break
								Case WSAECONNREFUSED
									Set sError = "The server refused the connection, you should try again."
									Set nType = MB_IconAsterisk | MB_AbortRetryIgnore
									Break
								Default
									Set sError = "Error no.: " || SalNumberToStrX( p_nError, 0 )
									Set nType = MB_IconStop | MB_Ok
									Break
							Return SalMessageBox( sError, "XSal - Remote OBject",  nType )
			Functional Class: cXSalROBObject
				Description:
				Derived From
				Class Variables
				Instance Variables
					! Private members
					Number: __hObj
					Window Handle: __hConn
				Functions
					! Public functions
					Function: init
						Description:
						Returns
							Boolean:
						Parameters
							: p_Client
								Class: cXSalROBClient
							String: p_sObjectName
						Static Variables
						Local variables
							Number: nCount
						Actions
							! If the object is already allocated, exit now
							If __hObj
								Return FALSE
							! Connect
							If NOT p_Client.connect( STRING_Null, 0, 0 )
								! Connect
								If NOT SalModalDialog( dlgROBLogin, hWndForm, p_Client )
									Return FALSE
							Set __hConn = p_Client.getConnectionHandle()
							! Check connection
							If NOT __hConn
								Return FALSE
							! Allocate new object
							Loop
								Set __hObj = XSalRobNewObject( __hConn, p_sObjectName )
								If __hObj
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: free
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
						Actions
							If NOT isAllocated()
								Return FALSE
							If NOT XSalRobFreeObject( __hConn, __hObj )
								Call ..onError( getError(), 0 )
								Return FALSE
							Set __hConn = hWndNULL
							Return TRUE
					Function: isAllocated
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
						Actions
							Return ( __hConn != hWndNULL ) AND ( __hObj > 0 )
					Function: setMember
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							String: p_sValue
						Static Variables
						Local variables
							Number: nCount
						Actions
							Loop
								If XSalRobSetObjectMember( __hConn, __hObj, p_sName, p_sValue )
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: setMemberNum
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Number: p_nValue
						Static Variables
						Local variables
							String: sNum
						Actions
							Call SalNumberToStr( p_nValue, 7, sNum )
							Return setMember( p_sName, sNum )
					Function: setMemberDate
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Date/Time: p_dtValue
						Static Variables
						Local variables
							String: sDate
						Actions
							Call SalDateToStr( p_dtValue, sDate )
							Return setMember( p_sName, sDate )
					Function: setObject
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
							Number: nCount
						Actions
							Loop
								If XSalRobSetObjectThis( __hConn, __hObj, ..getTemplate() )
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: getMember
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive String: pr_sValue
						Static Variables
						Local variables
							Number: hMem
							Number: nCount
						Actions
							Loop
								Set hMem = XSalRobGetObjectMemberMem( __hConn,__hObj, p_sName )
								If hMem
									Set pr_sValue = XSalRobGetString( hMem )
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: getMemberNum
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive Number: pr_nValue
						Static Variables
						Local variables
							String: sValue
						Actions
							If getMember( p_sName, sValue )
								Set pr_nValue = SalStrToNumber( sValue )
								Return TRUE
					Function: getMemberDate
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive Date/Time: pr_dtValue
						Static Variables
						Local variables
							String: sValue
						Actions
							If getMember( p_sName, sValue )
								Set pr_dtValue = SalStrToDate( sValue )
								Return TRUE
					Function: getObject
						Description:
						Returns
							Boolean:
						Parameters
						Static Variables
						Local variables
							Number: nCount
						Actions
							Loop
								If XSalRobGetObjectThis( __hConn,__hObj, ..getTemplate() )
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: execute
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive String: pr_sValue
						Static Variables
						Local variables
							Number: hMem
							Number: nCount
						Actions
							Loop
								Set hMem = XSalRobExecuteMem( __hConn,__hObj, p_sName )
								If hMem
									Set pr_sValue = XSalRobGetString( hMem )
									Return TRUE
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: executeNum
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive Number: pr_nValue
						Static Variables
						Local variables
							String: sValue
						Actions
							If execute( p_sName, sValue )
								Set pr_nValue = SalStrToNumber( sValue )
								Return TRUE
					Function: executeDate
						Description:
						Returns
							Boolean:
						Parameters
							String: p_sName
							Receive Date/Time: pr_dtValue
						Static Variables
						Local variables
							String: sValue
						Actions
							If getMember( p_sName, sValue )
								Set pr_dtValue = SalStrToDate( sValue )
								Return TRUE
					Function: executeAsync
						Description:
						Returns
							Number: async ID
						Parameters
							String: p_sName
							Window Handle: p_hWndNotify
						Static Variables
						Local variables
							Number: nAsyncID
							Number: nCount
						Actions
							Loop
								Set nAsyncID = XSalRobExecuteAsync( __hConn,__hObj, p_sName, p_hWndNotify )
								If nAsyncID
									Return nAsyncID
								If ..onError( getError(), nCount ) != IDRETRY
									Break
								Set nCount = nCount + 1
					Function: getError
						Description:
						Returns
							Number:
						Parameters
						Static Variables
						Local variables
						Actions
							Return XSalRobGetLastError(  )
					! Virtual functions
					Function: onError
						Description:
						Returns
							Number: action
						Parameters
							Number: p_nError
							Number: p_nCount
						Static Variables
						Local variables
							String: sError
							Number: nType
						Actions
							Select Case p_nError
								Case ROBERR_SERVERBUSY
									Set sError = "The server is busy."
									Set nType = MB_IconAsterisk | MB_AbortRetryIgnore
									Break
								Case WSAETIMEDOUT
									Set sError = "The server is not responding."
									Set nType = MB_IconAsterisk | MB_AbortRetryIgnore
									Break
								Default
									If NOT __hObj
										Set sError = "The object is not allocated!"
										Break
									Set sError = "Error no.: " || SalNumberToStrX( p_nError, 0 )
									Set nType = MB_IconStop | MB_Ok
									Break
							Return SalMessageBox( sError, "XSal - Remote OBject",  nType )
					Function: getTemplate
						Description:
						Returns
							String:
						Parameters
						Static Variables
						Local variables
						Actions
							Return STRING_Null
		Default Classes
			MDI Window: cBaseMDI
			Form Window:
			Dialog Box:
			Table Window:
			Quest Window:
			Data Field:
			Spin Field:
			Multiline Field:
			Pushbutton:
			Radio Button:
			Option Button:
			Check Box:
			Child Table:
			Quest Child Window: cQuickDatabase
			List Box:
			Combo Box:
			Picture:
			Vertical Scroll Bar:
			Horizontal Scroll Bar:
			Column:
			Background Text:
			Group Box:
			Line:
			Frame:
			Custom Control:
		Application Actions
	Dialog Box: dlgROBLogin
		Class:
		Property Template:
		Class DLL Name:
		Title: ROB Client Login
		Accesories Enabled? No
		Visible? Yes
		Display Settings
			Display Style? Default
			Visible at Design time? Yes
			Type of Dialog: Modal
			Window Location and Size
				Left:   Default
				Top:    Default
				Width:  4.267"
				Width Editable? Yes
				Height: 1.643"
				Height Editable? Yes
			Absolute Screen Location? Yes
			Font Name: MS Sans Serif
			Font Size: 8
			Font Enhancement: Default
			Text Color: Default
			Background Color: Default
		Description:
		Tool Bar
			Display Settings
				Display Style? Default
				Location? Top
				Visible? Yes
				Size: Default
				Size Editable? Yes
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Text Color: Default
				Background Color: Default
			Contents
		Contents
			Background Text: ROB &Server name:
				Resource Id: 37774
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Window Location and Size
					Left:   0.167"
					Top:    0.119"
					Width:  1.5"
					Width Editable? Yes
					Height: 0.167"
					Height Editable? Yes
				Visible? Yes
				Justify: Left
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Text Color: Default
				Background Color: Default
			Data Field: dfServer
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Property Template:
				Class DLL Name:
				Data
					Maximum Data Length: Default
					Data Type: String
					Editable? Yes
				Display Settings
					Window Location and Size
						Left:   1.783"
						Top:    0.083"
						Width:  2.283"
						Width Editable? Yes
						Height: 0.25"
						Height Editable? Yes
					Visible? Yes
					Border? Yes
					Justify: Left
					Format: Unformatted
					Country: Default
					Font Name: Default
					Font Size: Default
					Font Enhancement: Default
					Text Color: Default
					Background Color: Default
					Input Mask: Unformatted
				Message Actions
					On SAM_Create
						Set MyValue = 'localhost'
			Background Text: &Port:
				Resource Id: 37775
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Window Location and Size
					Left:   0.167"
					Top:    0.381"
					Width:  1.5"
					Width Editable? Yes
					Height: 0.167"
					Height Editable? Yes
				Visible? Yes
				Justify: Left
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Text Color: Default
				Background Color: Default
			Data Field: dfPort
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Property Template:
				Class DLL Name:
				Data
					Maximum Data Length: Default
					Data Type: Number
					Editable? Yes
				Display Settings
					Window Location and Size
						Left:   1.783"
						Top:    0.345"
						Width:  0.833"
						Width Editable? Yes
						Height: 0.25"
						Height Editable? Yes
					Visible? Yes
					Border? Yes
					Justify: Left
					Format: Unformatted
					Country: Default
					Font Name: Default
					Font Size: Default
					Font Enhancement: Default
					Text Color: Default
					Background Color: Default
					Input Mask: Unformatted
				Message Actions
					On SAM_Create
						Set MyValue = 10100
			Background Text: &Timeout:
				Resource Id: 37776
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Window Location and Size
					Left:   0.167"
					Top:    0.643"
					Width:  1.5"
					Width Editable? Yes
					Height: 0.167"
					Height Editable? Yes
				Visible? Yes
				Justify: Left
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Text Color: Default
				Background Color: Default
			Data Field: dfTimeout
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Property Template:
				Class DLL Name:
				Data
					Maximum Data Length: Default
					Data Type: Number
					Editable? Yes
				Display Settings
					Window Location and Size
						Left:   1.783"
						Top:    0.607"
						Width:  1.167"
						Width Editable? Yes
						Height: 0.25"
						Height Editable? Yes
					Visible? Yes
					Border? Yes
					Justify: Left
					Format: Unformatted
					Country: Default
					Font Name: Default
					Font Size: Default
					Font Enhancement: Default
					Text Color: Default
					Background Color: Default
					Input Mask: Unformatted
				Message Actions
					On SAM_Create
						Set MyValue = 60000
			Pushbutton: pbOk
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Property Template:
				Class DLL Name:
				Title: &Login
				Window Location and Size
					Left:   1.583"
					Top:    0.952"
					Width:  1.2"
					Width Editable? Yes
					Height: 0.298"
					Height Editable? Yes
				Visible? Yes
				Keyboard Accelerator: (none)
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Picture File Name:
				Picture Transparent Color: None
				Image Style: Single
				Text Color: Default
				Background Color: Default
				Message Actions
					On SAM_Click
						If p_Client.connect( dfServer, dfPort, dfTimeout )
							Call SalEndDialog( hWndForm, TRUE )
			Pushbutton: pbCancel
				Class Child Ref Key: 0
				Class ChildKey: 0
				Class:
				Property Template:
				Class DLL Name:
				Title: &Cancel
				Window Location and Size
					Left:   2.867"
					Top:    0.952"
					Width:  1.2"
					Width Editable? Yes
					Height: 0.298"
					Height Editable? Yes
				Visible? Yes
				Keyboard Accelerator: (none)
				Font Name: Default
				Font Size: Default
				Font Enhancement: Default
				Picture File Name:
				Picture Transparent Color: None
				Image Style: Single
				Text Color: Default
				Background Color: Default
				Message Actions
					On SAM_Click
						Call SalEndDialog( hWndForm, FALSE )
		Functions
		Window Parameters
			: p_Client
				Class: cXSalROBClient
		Window Variables
		Message Actions
			On SAM_Create
				Call SalCenterWindow( hWndForm )
